## wanpipe 2.0.1

=== usr/lib/router/src/Makefile ===
# ============================================================================
# Makefile	Make script for building Linux WAN router utilities.
# ----------------------------------------------------------------------------
# Copyright (c) 1995-1996 Sangoma Technologies Inc.  All Rights Reserved.
# ============================================================================

####### MACROS ###############################################################

# Build options.
OS_TYPE	= _LINUX_
DEBUG	= 2

# Project file paths.
OUTDIR	= /usr/sbin
SYSINC	= /usr/include/linux
VPATH	= $(SYSINC)

# Tools options.
CFLAGS	= -Wall -O2 -D$(OS_TYPE) -D_DEBUG_=$(DEBUG)

####### RULES ################################################################

all:	$(OUTDIR)/wanconfig \
	$(OUTDIR)/sdladump \
	$(OUTDIR)/fpipemon \
	$(OUTDIR)/ppipemon
	@echo "Ok."

$(OUTDIR)/wanconfig:	wanconfig.c router.h
	$(CC) $(CFLAGS) -o $@ $<

$(OUTDIR)/sdladump:	sdladump.c router.h wanpipe.h
	$(CC) $(CFLAGS) -o $@ $<

$(OUTDIR)/fpipemon:	fpipemon.c fapi_m.h
	$(CC) $(CFLAGS) -o $@ $<

$(OUTDIR)/ppipemon:	ppipemon.c ppipemon.h
	$(CC) $(CFLAGS) -o $@ $<

=== usr/lib/router/doc/net/Makefile ===
#
# Makefile for the linux networking.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definition is now in the main makefile...

MOD_SUB_DIRS := ipv4
ALL_SUB_DIRS := 802 ax25 bridge core ethernet ipv4 ipx unix appletalk netrom router #decnet
SUB_DIRS     := core ethernet unix
MOD_LIST_NAME := NET_MISC_MODULES

ifeq ($(CONFIG_NET),y)
SUB_DIRS += 802
endif

ifeq ($(CONFIG_INET),y)
SUB_DIRS += ipv4
endif

ifeq ($(CONFIG_BRIDGE),y)
SUB_DIRS += bridge
endif

ifeq ($(CONFIG_IPX),y)
SUB_DIRS += ipx
else
  ifeq ($(CONFIG_IPX),m)
  MOD_SUB_DIRS += ipx
  endif
endif

ifeq ($(CONFIG_ATALK),y)
SUB_DIRS += appletalk
else
  ifeq ($(CONFIG_ATALK),m)
  MOD_SUB_DIRS += appletalk
  endif
endif

ifeq ($(CONFIG_NETROM),y)
SUB_DIRS += netrom
endif

ifeq ($(CONFIG_AX25),y)
SUB_DIRS += ax25
endif

ifeq ($(CONFIG_WAN_ROUTER),y)
  ifeq ($(CONFIG_MODULES),y)
    MOD_SUB_DIRS += router
  endif
endif

L_TARGET     := network.a
L_OBJS	     := socket.o protocols.o sysctl_net.o $(join $(SUB_DIRS),$(SUB_DIRS:%=/%.o))
ifeq ($(CONFIG_NET),y)
ifeq ($(CONFIG_MODULES),y)
LX_OBJS = netsyms.o
endif
endif

M_OBJS	     :=

ifeq ($(CONFIG_NETLINK),y)
L_OBJS += netlink.o
else
  ifeq ($(CONFIG_NETLINK),m)
    M_OBJS += netlink.o
  endif
endif

include $(TOPDIR)/Rules.make

=== usr/lib/router/doc/drivers/net/Makefile ===
# File: drivers/net/Makefile
#
# Makefile for the Linux network (ethercard) device drivers.
#

# This will go away in some future future: hidden configuration files
# are difficult for users to deal with.
include CONFIG

L_TARGET := net.a
L_OBJS   := auto_irq.o
M_OBJS   :=
MOD_LIST_NAME := NET_MODULES

# Need these to keep track of whether the 8390 and SLHC modules should
# really go in the kernel or a module.
CONFIG_8390_BUILTIN :=
CONFIG_8390_MODULE  :=
CONFIG_SLHC_BUILTIN :=
CONFIG_SLHC_MODULE  :=

ifeq ($(CONFIG_ISDN),y)
  ifeq ($(CONFIG_ISDN_PPP),y)
    CONFIG_SLHC_BUILTIN = y
  endif
else
  ifeq ($(CONFIG_ISDN),m)
    ifeq ($(CONFIG_ISDN_PPP),y)
      CONFIG_SLHC_MODULE = y
    endif
  endif
endif

ifeq ($(CONFIG_NET),y)
L_OBJS += Space.o net_init.o loopback.o
endif

ifeq ($(CONFIG_SEEQ8005),y)
L_OBJS += seeq8005.o
endif

ifeq ($(CONFIG_IBMTR),y)
L_OBJS += ibmtr.o
else
  ifeq ($(CONFIG_IBMTR),m)
  M_OBJS += ibmtr.o
  endif
endif

ifeq ($(CONFIG_SK_G16),y)
L_OBJS += sk_g16.o
endif

ifeq ($(CONFIG_NET_IPIP),y)
L_OBJS += new_tunnel.o
else
  ifeq ($(CONFIG_NET_IPIP),m)
  M_OBJS += new_tunnel.o
  endif
endif

ifeq ($(CONFIG_HP100),y)
L_OBJS += hp100.o
else
  ifeq ($(CONFIG_HP100),m)
  M_OBJS += hp100.o
  endif
endif

ifeq ($(CONFIG_WIC),y)
L_OBJS += wic.o
else
  ifeq ($(CONFIG_WIC),m)
  M_OBJS += wic.o
  endif
endif

ifeq ($(CONFIG_SMC9194),y)
L_OBJS += smc9194.o
else
  ifeq ($(CONFIG_SMC9194),m)
  M_OBJS += smc9194.o
  endif
endif


ifeq ($(CONFIG_WD80x3),y)
L_OBJS += wd.o
CONFIG_8390_BUILTIN = y
else
  ifeq ($(CONFIG_WD80x3),m)
  CONFIG_8390_MODULE = y
  M_OBJS += wd.o
  endif
endif

ifeq ($(CONFIG_EL2),y)
L_OBJS += 3c503.o
CONFIG_8390_BUILTIN = y
else
  ifeq ($(CONFIG_EL2),m)
  CONFIG_8390_MODULE = y
  M_OBJS += 3c503.o
  endif
endif

ifeq ($(CONFIG_NE2000),y)
L_OBJS += ne.o
CONFIG_8390_BUILTIN = y
else
  ifeq ($(CONFIG_NE2000),m)
  CONFIG_8390_MODULE = y
  M_OBJS += ne.o
  endif
endif

ifeq ($(CONFIG_HPLAN),y)
L_OBJS += hp.o
CONFIG_8390_BUILTIN = y
else
  ifeq ($(CONFIG_HPLAN),m)
  CONFIG_8390_MODULE = y
  M_OBJS += hp.o
  endif
endif

ifeq ($(CONFIG_HPLAN_PLUS),y)
L_OBJS += hp-plus.o
CONFIG_8390_BUILTIN = y
else
  ifeq ($(CONFIG_HPLAN_PLUS),m)
  CONFIG_8390_MODULE = y
  M_OBJS += hp-plus.o
  endif
endif

ifeq ($(CONFIG_ULTRA),y)
L_OBJS += smc-ultra.o
CONFIG_8390_BUILTIN = y
else
  ifeq ($(CONFIG_ULTRA),m)
  CONFIG_8390_MODULE = y
  M_OBJS += smc-ultra.o
  endif
endif

ifeq ($(CONFIG_E2100),y)
L_OBJS += e2100.o
CONFIG_8390_BUILTIN = y
else
  ifeq ($(CONFIG_E2100),m)
  CONFIG_8390_MODULE = y
  M_OBJS += e2100.o
  endif
endif

ifeq ($(CONFIG_PLIP),y)
L_OBJS += plip.o
else
  ifeq ($(CONFIG_PLIP),m)
  M_OBJS += plip.o
  endif
endif

ifeq ($(CONFIG_PPP),y)
LX_OBJS += ppp.o
CONFIG_SLHC_BUILTIN = y
else
  ifeq ($(CONFIG_PPP),m)
  CONFIG_SLHC_MODULE = y
  MX_OBJS += ppp.o
  endif
endif

ifdef CONFIG_PPP
  M_OBJS += bsd_comp.o
endif

ifeq ($(CONFIG_SLIP),y)
L_OBJS += slip.o
  ifeq ($(CONFIG_SLIP_COMPRESSED),y)
  CONFIG_SLHC_BUILTIN = y
  endif
else
  ifeq ($(CONFIG_SLIP),m)
    ifeq ($(CONFIG_SLIP_COMPRESSED),y)
    CONFIG_SLHC_MODULE = y
  endif
  M_OBJS += slip.o
  endif
endif

ifeq ($(CONFIG_STRIP),y)
L_OBJS += strip.o
else
  ifeq ($(CONFIG_STRIP),m)
  M_OBJS += strip.o
  endif
endif

ifeq ($(CONFIG_DE650),y)
ETDRV_OBJS := $(L_OBJS) de650.o
CONFIG_8390_BUILTIN = y
endif

ifeq ($(CONFIG_3C589),y)
L_OBJS += 3c589.o
endif

ifeq ($(CONFIG_DUMMY),y)
L_OBJS += dummy.o
else
  ifeq ($(CONFIG_DUMMY),m)
  M_OBJS += dummy.o
  endif
endif

ifeq ($(CONFIG_DE600),y)
L_OBJS += de600.o
else
  ifeq ($(CONFIG_DE600),m)
  M_OBJS += de600.o
  endif
endif

ifeq ($(CONFIG_DE620),y)
L_OBJS += de620.o
else
  ifeq ($(CONFIG_DE620),m)
  M_OBJS += de620.o
  endif
endif

ifeq ($(CONFIG_AT1500),y)
L_OBJS += lance.o
endif

ifeq ($(CONFIG_LANCE),y)
L_OBJS += lance.o
  ifeq ($(CONFIG_LANCE32),y)
  L_OBJS += lance32.o
  endif
endif

ifeq ($(CONFIG_SUNLANCE),y)
L_OBJS += sunlance.o
endif

ifeq ($(CONFIG_AT1700),y)
L_OBJS += at1700.o
else
  ifeq ($(CONFIG_AT1700),m)
  M_OBJS += at1700.o
  endif
endif

ifeq ($(CONFIG_FMV18X),y)
L_OBJS += fmv18x.o
else
  ifeq ($(CONFIG_FMV18X),m)
  M_OBJS += fmv18x.o
  endif
endif

ifeq ($(CONFIG_EL1),y)
L_OBJS += 3c501.o
else
  ifeq ($(CONFIG_EL1),m)
  M_OBJS += 3c501.o
  endif
endif

ifeq ($(CONFIG_EL16),y)
L_OBJS += 3c507.o
else
  ifeq ($(CONFIG_EL16),m)
  M_OBJS += 3c507.o
  endif
endif

ifeq ($(CONFIG_EL3),y)
L_OBJS += 3c509.o
else
  ifeq ($(CONFIG_EL3),m)
  M_OBJS += 3c509.o
  endif
endif

ifeq ($(CONFIG_VORTEX),y)
L_OBJS += 3c59x.o
else
  ifeq ($(CONFIG_VORTEX),m)
  M_OBJS += 3c59x.o
  endif
endif

ifeq ($(CONFIG_EEXPRESS),y)
L_OBJS += eexpress.o
else
  ifeq ($(CONFIG_EEXPRESS),m)
  M_OBJS += eexpress.o
  endif
endif

ifeq ($(CONFIG_EEXPRESS_PRO),y)
L_OBJS += eepro.o
else
  ifeq ($(CONFIG_EEXPRESS_PRO),m)
  M_OBJS += eepro.o
  endif
endif

ifeq ($(CONFIG_WAVELAN),y)
L_OBJS += wavelan.o
else
  ifeq ($(CONFIG_WAVELAN),m)
  M_OBJS += wavelan.o
  endif
endif

ifeq ($(CONFIG_ZNET),y)
L_OBJS += znet.o
endif

ifeq ($(CONFIG_DEPCA),y)
L_OBJS += depca.o
else
  ifeq ($(CONFIG_DEPCA),m)
  M_OBJS += depca.o
  endif
endif

ifeq ($(CONFIG_EWRK3),y)
L_OBJS += ewrk3.o
else
  ifeq ($(CONFIG_EWRK3),m)
  M_OBJS += ewrk3.o
  endif
endif

ifeq ($(CONFIG_ATP),y)
L_OBJS += atp.o
endif

ifeq ($(CONFIG_DE4X5),y)
L_OBJS += de4x5.o
else
  ifeq ($(CONFIG_DE4X5),m)
  M_OBJS += de4x5.o
  endif
endif

ifeq ($(CONFIG_DEFXX),y)
L_OBJS += defxx.o
endif

ifeq ($(CONFIG_NI52),y)
L_OBJS += ni52.o
else
  ifeq ($(CONFIG_NI52),m)
  M_OBJS += ni52.o
  endif
endif

ifeq ($(CONFIG_NI65),y)
L_OBJS += ni65.o
else
  ifeq ($(CONFIG_NI65),m)
  M_OBJS += ni65.o
  endif
endif

ifeq ($(CONFIG_ELPLUS),y)
L_OBJS += 3c505.o
else
  ifeq ($(CONFIG_ELPLUS),m)
  M_OBJS += 3c505.o
  endif
endif

ifeq ($(CONFIG_AC3200),y)
L_OBJS += ac3200.o
CONFIG_8390_BUILTIN = y
else
  ifeq ($(CONFIG_AC3200),m)
  CONFIG_8390_MODULE = y
  M_OBJS += ac3200.o
  endif
endif

ifeq ($(CONFIG_APRICOT),y)
L_OBJS += apricot.o
else
  ifeq ($(CONFIG_APRICOT),m)
  M_OBJS += apricot.o
  endif
endif

ifeq ($(CONFIG_DEC_ELCP),y)
L_OBJS += tulip.o
else
  ifeq ($(CONFIG_DEC_ELCP),m)
  M_OBJS += tulip.o
  endif
endif

ifeq ($(CONFIG_ARCNET),y)
L_OBJS += arcnet.o
else
  ifeq ($(CONFIG_ARCNET),m)
  M_OBJS += arcnet.o
  endif
endif

ifeq ($(CONFIG_ETH16I),y)
L_OBJS += eth16i.o
else
  ifeq ($(CONFIG_ETH16I),m)
  M_OBJS += eth16i.o
  endif
endif

ifeq ($(CONFIG_PI),y)
L_OBJS += pi2.o
endif

ifeq ($(CONFIG_PT),y)
L_OBJS += pt.o
endif

# If anything built-in uses slhc, then build it into the kernel also.
# If not, but a module uses it, build as a module.
ifdef CONFIG_SLHC_BUILTIN
LX_OBJS += slhc.o
else
  ifdef CONFIG_SLHC_MODULE
  MX_OBJS += slhc.o
  endif
endif


# If anything built-in uses the 8390, then build it into the kernel also.
# If not, but a module uses it, build as a module.
ifdef CONFIG_8390_BUILTIN
L_OBJS += 8390.o
else
  ifdef CONFIG_8390_MODULE
  M_OBJS += 8390.o
  endif
endif


ifeq ($(CONFIG_EQUALIZER),y)
L_OBJS += eql.o
else
  ifeq ($(CONFIG_EQUALIZER),m)
  M_OBJS += eql.o
  endif
endif

ifeq ($(CONFIG_ATARILANCE),y)
L_OBJS += atarilance.o
else
  ifeq ($(CONFIG_ATARILANCE),m)
  M_OBJS += atarilance.o
  endif
endif

ifeq ($(CONFIG_A2065),y)
L_OBJS += a2065.o
else
  ifeq ($(CONFIG_A2065),m)
  M_OBJS += a2065.o
  endif
endif

ifeq ($(CONFIG_HYDRA),y)
L_OBJS += hydra.o
else
  ifeq ($(CONFIG_HYDRA),m)
  M_OBJS += hydra.o
  endif
endif

ifeq ($(CONFIG_SDLA),y)
L_OBJS += sdla.o
else
  ifeq ($(CONFIG_SDLA),m)
  M_OBJS += sdla.o
  endif
endif

ifeq ($(CONFIG_DLCI),y)
L_OBJS += dlci.o 
else
  ifeq ($(CONFIG_DLCI),m)
  M_OBJS += dlci.o
  endif
endif

ifeq ($(CONFIG_ARIADNE),y)
L_OBJS += ariadne.o
else
  ifeq ($(CONFIG_ARIADNE),m)
  M_OBJS += ariadne.o
  endif
endif

ifeq ($(CONFIG_DGRS),y)
L_OBJS += dgrs.o
else
  ifeq ($(CONFIG_DGRS),m)
  M_OBJS += dgrs.o
  endif
endif

ifeq ($(CONFIG_VENDOR_SANGOMA),y)
  M_OBJS += sdladrv.o
  M_OBJS += wanpipe.o
  WANPIPE_OBJS = sdlamain.o
  ifeq ($(CONFIG_WANPIPE_X25),y)
    WANPIPE_OBJS += sdla_x25.o
  endif
  ifeq ($(CONFIG_WANPIPE_FR),y)
    WANPIPE_OBJS += sdla_fr.o
  endif
  ifeq ($(CONFIG_WANPIPE_PPP),y)
    WANPIPE_OBJS += sdla_ppp.o
  endif
endif

include $(TOPDIR)/Rules.make

clean:
	rm -f core *.o *.a *.s

wd.o:	wd.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(WD_OPTS) -c $<

3c503.o:	3c503.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(EL2_OPTS) -c $<

pi2.o:  pi2.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(PI_OPTS) -c $<

3c505.o: 3c505.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(ELP_OPTS) -c $<

de4x5.o: de4x5.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(DE4X5_OPTS) -c $<

defxx.o: defxx.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(DEFXX_OPTS) -c $<

ewrk3.o: ewrk3.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(EWRK3_OPTS) -c $<

depca.o: depca.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(DEPCA_OPTS) -c $<

Space.o: Space.c ../../include/linux/autoconf.h CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(OPTS) -c $<

net_init.o: ../../include/linux/autoconf.h

ne.o:	ne.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(NE_OPTS) -c $<

hp.o:	hp.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(HP_OPTS) -c $<

plip.o:	plip.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(PLIP_OPTS) -c $<

slip.o:	slip.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

strip.o: strip.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

dummy.o: dummy.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

de600.o: de600.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(DE600_OPTS) -c $<

de620.o: de620.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(DE620_OPTS) -c $<

lance.o: lance.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LANCE_OPTS) -c $<

8390.o: 8390.c 8390.h CONFIG

sdla.o: sdla.c CONFIG 

dlci.o: dlci.c CONFIG

sdladrv.o: sdladrv.c CONFIG

wanpipe.o: $(WANPIPE_OBJS)
	ld -r -o $@ $^

sdlamain.o: sdlamain.c CONFIG

sdla_x25.o: sdla_x25.c CONFIG

sdla_fr.o: sdla_fr.c CONFIG

sdla_ppp.o: sdla_ppp.c CONFIG

dgrs.o: dgrs.c dgrs.h CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<
tulip.o: tulip.c CONFIG
	$(CC) $(CPPFLAGS) $(CFLAGS) $(TULIP_OPTS) -c $<

## wanpipe 2.1.1-2

=== usr/lib/wanrouter/src/Makefile ===
# ============================================================================
# Makefile	Make script for building Linux WAN router utilities.
# ----------------------------------------------------------------------------
# Copyright (c) 1995-1999 Sangoma Technologies Inc.  All Rights Reserved.
# ============================================================================

# modificaton history:
# 20000103/tm	added "clean:" target
# 20000104/tm	added an "install:" target to be more like a normal
#		makefile

####### MACROS ###############################################################

# Build options.
OS_TYPE	= _LINUX_
DEBUG	= 2

# Project file paths.
#OUTDIR	= /usr/sbin
# for Debian
OUTDIR	= ../../../../debian/tmp/usr/sbin
#SYSINC	= /usr/include/linux
SYSINC	= /usr/src/linux/include
VPATH	= $(SYSINC)

# Tools options.
CFLAGS	= -Wall -O2 -D$(OS_TYPE) -D_DEBUG_=$(DEBUG) -I$(SYSINC)

####### RULES ################################################################

all:	wanconfig \
	sdladump \
	fpipemon \
	cpipemon \
	ppipemon 
	@echo "Ok."

wanconfig:	wanconfig.c 
	$(CC) $(CFLAGS) -o $@ $<

sdladump:	sdladump.c 
	$(CC) $(CFLAGS) -o $@ $<

fpipemon:	fpipemon.c 
	$(CC) -D_GNUC_ $(CFLAGS) -o $@ $<

cpipemon:	cpipemon.c 
	$(CC) -D_GNUC_ $(CFLAGS) -o $@ $<

ppipemon:	ppipemon.c
	$(CC) -D_GNUC_ $(CFLAGS) -o $@ $< 

# for Debian
clean:
	rm -f wanconfig sdladump fpipemon ppipemon	\
		cpipemon xpipemon

install:
	cp -p wanconfig $(OUTDIR)/wanconfig
	cp -p sdladump $(OUTDIR)/sdladump
	cp -p fpipemon $(OUTDIR)/fpipemon
	cp -p cpipemon $(OUTDIR)/cpipemon
	cp -p ppipemon $(OUTDIR)/ppipemon 
	@echo "wanpipe binaries installed"

=== debian/changelog ===
wanpipe (2.1.1-2) frozen unstable; urgency=low

  * fixed bug #58611 (bad default config in wanpipeconfig script)
  * USER_MANUAL was not correct in /usr/share/doc/wanpipe/

 -- tony mancill <tmancill@debian.org>  Fri, 25 Feb 2000 04:21:28 -0700

wanpipe (2.1.1-1) frozen unstable; urgency=low

  * upload to frozen with new version *required* for 2.2.14 kernel in potato
  * support for S514 devices
  * new upstream version
  * closes bug #55126, closes bug #39801, closes bug #44692

 -- tony mancill <tmancill@debian.org>  Sat, 15 Jan 2000 10:27:06 -0700

wanpipe (2.0.6-2) unstable; urgency=low

  * new pkg build procedure - closes #44271

 -- tony mancill <tmancill@debian.org>  Thu,  9 Sep 1999 05:11:05 -0700

wanpipe (2.0.6-1) unstable; urgency=low

  * new upstream version (with patches for 2.2.11)
  * manpages are now installed according to policy

 -- tony mancill <tmancill@debian.org>  Wed, 18 Aug 1999 00:02:56 -0700

wanpipe (2.0.5-1) unstable; urgency=low

  * new upstream version
  * converted package source to using patches
  * new upstream contains USER_MANUAL.txt

 -- tony mancill <tmancill@debian.org>  Sun, 14 Aug 1999 19:21:11 -0700

wanpipe (2.0.4-5) unstable; urgency=low, closes=39801

  * compiled for Debian 2.2 (glibc2.1 and kernel 2.2.10)
  * removed unneeded patch binary and apply_patches script

 -- tony mancill <tmancill@debian.org>  Sun,  1 Aug 1999 13:50:18 -0700

wanpipe (2.0.4-4) unstable; urgency=low

  * cfgft1 no longer starts when wanpipe is running (hangs the card)
  * added pipemon_wraper.sh script
  * new upstream version of the user manual in doc
  * updated patch script and misc. for kernel 2.0.37 

 -- tony mancill <tmancill@debian.org>  Thu,  8 Jul 1999 14:36:07 -0400

wanpipe (2.0.4-3) unstable; urgency=low, closes=35652 
 
  * future upgrades will no longer brings down link (#35652)
  
 -- tony mancill <tmancill@debian.org>  Sat, 15 May 1999 21:33:41 -0400

wanpipe (2.0.4-2) unstable; urgency=low

  * fixed problem with preinst script on upgrades from 2.0.1-x
  * added example wanpipe_routes and wanpipe_monitor scripts
  * update to init.d script

 -- tony mancill <tmancill@debian.org>  Thu, 17 Dec 1998 01:09:55 -0500

wanpipe (2.0.4-1) unstable; urgency=low

  * new upstream version (including API drivers and example source)

 -- tony mancill <tmancill@debian.org>  Sun, 13 Dec 1998 16:38:11 -0500

wanpipe (2.0.3-3) unstable; urgency=low

  * added preinst script to preserve (copy) old configuration files
  * extensive mods for conformance to filesystem standards
  * new upstream version
  * migrated from debstd to debhelper

 -- tony mancill <tmancill@debian.org>  Thu, 17 Sep 1998 00:00:14 -0400

wanpipe (2.0.3-2) unstable; urgency=low

  * Sangoma modified upstream source w/out a version increment (980908)
 
 -- tony mancill <tmancill@debian.org>  Thu, 10 Sep 1998 20:52:31 -0400

wanpipe (2.0.3-1) unstable; urgency=low
  
  * LHS internal test version

 -- tony mancill <tmancill@debian.org>  Tue, 08 Sep 1998 23:10:04 -0400

wanpipe (2.0.1-4) unstable; urgency=low

  * cleaned up some lintian errors
  * added rfc1661 firmware module

 -- Tony Mancill <tmancill@debian.org>  Fri, 19 Jun 1998 17:41:03 -0400

wanpipe (2.0.1-3) unstable; urgency=low

  * Added manpages
  * New maintainer
  * Changed arch back to i386

 -- Tony Mancill <tmancill@debian.org>  Wed, 10 Jun 1998 23:34:21 -0400

wanpipe (2.0.1-2) unstable; urgency=low

  * Broke down and made it compile under glibc.
  * No longer includes precompiled binaries but build binaries.
  * Arch independant (arghh. Trouble ahead..... Where is the new
    maintainer?)

 -- Christoph Lameter <clameter@debian.org>  Fri,  6 Feb 1998 18:20:25 -0800

wanpipe (2.0.1-1) unstable; urgency=low

  * Converted from Slackware .tgz binary format to debian
  * Fine tuned a bit. Basically this is a libc5 dependent release that
    uses sangoma provided binaries. Provided some docs and moved things into
    the correct locations.

 -- Christoph Lameter <clameter@debian.org>  Tue, 13 Jan 1998 18:28:53 -0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: wanpipe
Section: net
Priority: extra
Maintainer: tony mancill <tmancill@debian.org>
Standards-Version: 3.0.1

Package: wanpipe
Architecture: i386
Depends: ${shlibs:Depends}
Pre-Depends: pdksh
Description: Configuration utilities for Sangoma S508/S514 WAN cards
 This package installs configuration tools and firmware modules for
 the Sangoma S508 and S514 router cards.  You may use this software
 to build a stable and flexible WAN router for frame-relay, PPP, or 
 Cisco HDLC leased-line links based on these cards.
 .
 This package is compiled against kernel 2.2.13.  This upstream
 version does not have support for X.25.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# modification history:
#
# 20000103/tm	start from scratch with a new debhelper rules
# 20000207/tm	dh_installdocs is doing something weird with 
#		the upstream docs - commented it out
##############################################################

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)

 	# build wanconfig and ?pipemon binaries
	$(MAKE) -C usr/lib/wanrouter/src 

	# build cfgft1 binary (not part of upstream tarball)
	$(MAKE) -C debian/non_upstream/cfgft1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-$(MAKE) -C usr/lib/wanrouter/src clean
	-$(MAKE) -C debian/non_upstream/cfgft1 clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -C usr/lib/wanrouter/src install 
	$(MAKE) -C debian/non_upstream/cfgft1 install

	# handle the Configure script shipped with wanpipe
	# there is a patched version of the script in debian/non_upstream
	# which needs to be renamed "wanpipeconfig"
	cp -p debian/non_upstream/Configure debian/tmp/usr/sbin/wanpipeconfig
	
	# /usr/sbin/wanrouter is called /usr/sbin/wanpipe in Debian
	cp -p debian/non_upstream/wanrouter debian/tmp/usr/sbin/wanpipe
	
	# copy firmware into it's dest
	cp -p usr/lib/wanrouter/wanpipe/* debian/tmp/usr/lib/wanpipe
	
	# /etc/wanrouter.rc has been modified, and goes into
	# /etc/wanpipe/router.rc
	cp -p debian/non_upstream/wanrouter.rc debian/tmp/etc/wanpipe/router.rc
	cp -p debian/non_upstream/wanpipe1.fr debian/tmp/etc/wanpipe/router.conf
		
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	
#	cp -p usr/lib/wanrouter/doc/* debian/tmp/usr/share/doc/wanpipe
#	cp -p debian/non_upstream/README.patches debian/tmp/usr/share/doc/wanpipe

#	cp -p debian/non_upstream/README.wanpipe_routes debian/tmp/usr/share/doc/wanpipe
#	cp -p debian/non_upstream/README.wanpipe_monitor debian/tmp/usr/share/doc/wanpipe
	dh_installdocs
	
	dh_installexamples
	# move examples and fix the filenames
	
	cp -p debian/non_upstream/wanrouter.rc debian/tmp/usr/share/doc/wanpipe/examples/router.rc
	cp -p debian/non_upstream/wanpipe[12].* debian/tmp/usr/share/doc/wanpipe/examples
	cp -p usr/lib/wanrouter/samples/interface debian/tmp/usr/share/doc/wanpipe/examples
	
	cp -p debian/non_upstream/wanpipe_routes debian/tmp/usr/share/doc/wanpipe/examples
	cp -p debian/non_upstream/wanpipe_monitor debian/tmp/usr/share/doc/wanpipe/examples
	
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installcron

#	dh_installmanpages
	cp -p debian/non_upstream/cfgft1.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/cpipemon.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/fpipemon.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/ppipemon.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/sdladump.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/wanconfig.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/wanpipeconfig.8 debian/tmp/usr/share/man/man8
		
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wanpipe 2.1.1-2.1

=== debian/non_upstream/cfgft1/Makefile ===
#
# Makefile	Make script for building cfgft1
# Copyright (c) 1995-1996 Sangoma Technologies Inc.  All Rights Reserved.  
#
# modified by tony mancill <tmancill@debian.org> for inclusion into
# wanpipe Debian package
#

CFLAGS = -c -fshort-enums -Wall -g  -Wstrict-prototypes -I./include/ -O2 -DPLAT_LINUX \
         -DBUILD_SANGOMA_CHANB -DDEBIAN

CPP = g++
CC = gcc

SRCDIR = ../source
OUTDIR = ../../tmp/usr/sbin
OBJOUTDIR = ./output

#default rules

include filelist.txt

cfgft1: $(EXE_dependencies)
	g++ -g -o $(OBJOUTDIR)/cfgft1 $(EXE_dependencies)

.SUFFIXES : .cpp .c .s .o
.SUFFIXES : .dwn .sym

%.o: $(SRCDIR)/%.cpp   
	$(CPP) $(CFLAGS) -o $*.o $<   
%.o: $(SRCDIR)/%.c   
	$(CC) $(CFLAGS) -o $*.o $<
.s.o:
	$(AS) $(AFLAGS) $*.s


clean:
	rm -f $(OBJOUTDIR)/*.o $(OBJOUTDIR)/cfgft1

install:
	cp -p $(OBJOUTDIR)/cfgft1 $(OUTDIR)/cfgft1

=== debian/changelog ===
wanpipe (2.1.1-2.1) frozen unstable; urgency=low

  * Non Maintainer Upload.
  * mark /etc/init.d/wanpipe, /etc/wanpipe/router.conf and
    /etc/wanpipe/router.rc as conffiles (closes: #132099)

 -- David Kimdon <dwhedon@debian.org>  Sun, 10 Feb 2002 19:21:34 -0800
